#New Player#
execute as @a[tag=!player] at @s run function edd:setup/newplayer

#Start Triggers#
scoreboard players enable @a trigpass
scoreboard players enable @a trigsword
scoreboard players enable @a trighat
scoreboard players enable @a trigdrag
scoreboard players enable @a tutwhite
scoreboard players enable @a tutred
scoreboard players enable @a tutgreen
scoreboard players enable @a tutblack
scoreboard players enable @a tutblue
scoreboard players enable @a tutinteract
scoreboard players enable @a tutdtd

scoreboard players enable @a mcmaps
scoreboard players enable @a mobcave

scoreboard players enable @a info1
scoreboard players enable @a info2

scoreboard players enable @a map1
scoreboard players enable @a map2

#Start Maps#
execute if score setup counter matches 1.. run scoreboard players remove setup counter 1
execute as @p[scores={map1=1}] run function edd:setup/map1
execute as @p[scores={map2=1}] run function edd:setup/map2

#No Golems#
kill @e[type=snow_golem]
kill @e[type=iron_golem]

#Spawn Protection#
effect give @a[gamemode=adventure] saturation 10 0 true
effect give @a[gamemode=adventure] resistance 1 4 true
execute as @a[gamemode=adventure,x=-225,y=78,z=58,dx=5,dy=5,dz=5] at @s run teleport @s ~ ~1 ~

#Customisation#
execute positioned -219 84 74 as @a[gamemode=adventure,distance=..5] at @s run function edd:setup/custom/custom
execute positioned -219 84 46 as @a[gamemode=adventure,distance=..5] at @s run function edd:setup/custom/custom

#Tutorials#
execute as @a[scores={tutwhite=1..}] run function edd:setup/tutorials/white
execute as @a[scores={tutred=1..}] run function edd:setup/tutorials/red
execute as @a[scores={tutgreen=1..}] run function edd:setup/tutorials/green
execute as @a[scores={tutblack=1..}] run function edd:setup/tutorials/black
execute as @a[scores={tutblue=1..}] run function edd:setup/tutorials/blue
execute as @a[scores={tutinteract=1..}] run function edd:setup/tutorials/interact
execute as @a[scores={tutdtd=1..}] run function edd:setup/tutorials/dtd

#Level Info#
execute as @a[scores={info1=1..}] run function edd:setup/tutorials/info1
execute as @a[scores={info2=1..}] run function edd:setup/tutorials/info2
execute as @a[scores={mcmaps=1..}] run function edd:setup/tutorials/mcmaps
execute as @a[scores={mobcave=1..}] run function edd:setup/tutorials/mobcave

scoreboard players set @a sneak 0